<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">班旗</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="班旗"/>
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="ui_bq_name" id="ui_bq_name" lay-filter="ui_fb_name" class="select" lay-search>
                    <option value="1">旗帜布</option>
                </select>
            </div>
            <p>
                尺寸(CM/厘米)
            </p>
            <div class="layui-form-item ui_size">
                <select name="size" id="ui_size" class="select">
                    <option value="96*64">96*64</option>
                    <option value="192*128">192*128</option>
                    <option value="144*96">144*96</option>
                    <option value="240*160">240*160</option>
                    <option value="288*192">288*192</option>
                    <option value="120*80">120*80</option>
                </select>
            </div>

            <p>
                数量(个)
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="count" class="layui-input" id="count">
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>
                工艺 <span style="font-size:14px;color:red">旗杆长度是2.5米</span>
            </p>
            <div class="layui-form-item">
                <input type="radio" name="craftShua" value="单面印刷" title="单面印刷" lay-filter="craftShua" checked="checked">
                <input type="radio" name="craftShua" value="双喷" title="双喷" lay-filter="craftShua">
                <br/>
                <input type="checkbox" name="craft" value="旗杆" title="旗杆" lay-filter="craft" checked="checked">

                <input type="checkbox" name="craft" value="缝筒" title="缝筒" lay-filter="craft" checked="checked">
                <div class="layui-inline ui_feb" style="display:none">
                    <select name="fb" class="select fb" lay-filter="fb">
                        <option value="1" selected>左缝筒</option>
                        <option value="2">右缝筒</option>
                    </select>
                </div>
                <input type="checkbox" name="craft" value="伸缩旗杆" title="伸缩旗杆" lay-filter="craft">
                <div class="layui-inline qigan" style="display:none;width: 100px">
                    <input type="text" placeholder="请输入数量" autocomplete="off" value="1" name="po_number"
                           class="layui-input">
                </div>
                <%--					<input type="checkbox" name="craft" value="手绘" title="手绘" lay-filter="craft">--%>
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;

        //建造实例
        ins = carousel.render({});
        var html = " ";
        var remark = " ";
        // 清空轮播图
        $("#carousel").empty();
        $("#remark").empty();
        $(".ui_feb").show();
        $(".ui_feb select").attr("disabled", false);
        $.ajax({
            url: "${pageContext.request.contextPath}/getImgs",
            type: "GET",
            data: {
                proTypeValue: $("#proTypeValue").val(),
                kindValue: $('input[name="kindValue"]').val()
            },
            success: function (result) {
                for (let i = 0; i < result.length; i++) {
                    // 只留一个remark
                    remark = "";
                    html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                    remark += '<div><span>' + result[i].remark + '<span/></div>';
                }
                $("#carousel").append(html);
                // 如果没有说明，就不显示null
                if (remark.indexOf("null") < 0) {
                    $("#remark").append(remark);
                }
                // 如果没有轮播图就隐藏
                if (result.length == 0) {
                    document.getElementById("test1").style.display = "none";   //隐藏
                } else {
                    document.getElementById("test1").style.display = "block";   //显示
                    ins.reload({
                        elem: '#test1',
                        width: result[0].imgWidth,  //设置容器宽度
                        height: result[0].imgHeight
                    });
                }
            }
        });

        form.on('checkbox(craft)', function (data) {
            var craft = [];
            $("input:checkbox[name='craft']:checked").each(function (i) {
                // 没有被禁用的工艺加到arr中
                if (!$(this).is(':disabled')) {
                    craft.push($(this).val());
                }
            });
            if (craft.indexOf("旗杆") > -1 && craft.indexOf("伸缩旗杆") > -1) {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('旗杆 - 伸缩旗杆只能选择一种！', {offset: ['300px', '300px']}, {icon: 5});
                return false;
            }
            if (craft.indexOf("缝筒") > -1) {
                $(".ui_feb").show();
                $(".ui_feb select").attr("disabled", false);
            } else {
                $(".ui_feb").hide();
                $(".ui_feb select").attr("disabled", true);
            }
            if (craft.indexOf("伸缩旗杆") > -1) {
                $(".qigan").show();
                $(".qigan input").attr("disabled", false);
            } else {
                $(".qigan").hide();
                $(".qigan input").attr("disabled", true);
            }
            form.render();
        });

        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            let kindValue = $('input[name="kindValue"]:checked').val();
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });

            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var number = $("#number").val();
            var size = $("#size").val();
            var count = $("#count").val();
            var kind = $("#kindValue option:selected").text();
            var craftShua = $("input[name='craftShua']:checked").val();
            var craft = [];
            $("input:checkbox[name='craft']:checked").each(function (i) {
                // 没有被禁用的工艺加到arr中
                if (!$(this).is(':disabled')) {
                    if ($(this).val() == "伸缩旗杆") {
                        craft.push($(this).val() + $(".qigan input").val());
                    } else if ($(this).val() == "抠图") {
                        craft.push($(this).val() + $("input[name='cropNumber']").val());
                        return;
                    } else {
                        craft.push($(this).val());
                    }
                }
            });
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;
                    if ($("input[name='switchSize']:checked").val() == "on") {
                        size = $("#ui_zdy_size").val();
                    } else {
                        size = $("#ui_size option:selected").val();
                    }
                    var bq_name = $("#ui_bq_name option:selected").text();
                    if (craft != "") {
                        craftShua += ',' + craft;
                    }
                    var span_result = '班旗 - ' + bq_name + '-' + craftShua + '-' + size + ' CM (同款内容)\n';

                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "条，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "条，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }

                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    if (window.parent.system_isGai) {
                        span_result += "\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>